Bug 253951 - (GenericFontNames) Tracker: fonts in fonts-* should be moved to own packages
Tracker: fonts in fonts-* should be moved to own packages
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jens Petersen
Bill Nottingham
: Tracking
Depends On: 253149 253155 253158 253161 315071 315081 315091
Blocks: F8Target
  Show dependency treegraph
Reported: 2007-08-23 01:38 EDT by Jens Petersen
Modified: 2014-03-16 23:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-22 22:27:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2007-08-23 01:38:20 EDT
This bug is to track renaming (moving) of fonts in the generically named
fonts-* packages to their own packages named after their upstream projects.
Comment 1 Jens Petersen 2007-10-01 03:42:02 EDT
Leaving this open since I think we need to rename fonts-hebrew, fonts-arabic,
and maybe some others too.
Comment 2 Jens Petersen 2007-10-02 03:27:17 EDT
added them now
Comment 3 Jens Petersen 2007-10-18 01:15:39 EDT
Apart from some of the older bitmap fonts (like for ISO-8859-* and KOI8 say)
I can't think of any other fonts packages that need renaming.
Comment 4 Behdad Esfahbod 2007-10-22 00:45:13 EDT
So, do new packages Provide: fonts-arabic and the like?
Comment 5 Jens Petersen 2007-10-22 00:59:50 EDT
No, because currently the old fonts-* packages are still there
as meta-packages which require the new packages, but we may
rethink that for F9.
Comment 6 Behdad Esfahbod 2007-10-22 16:43:34 EDT
Fair enough.  That may actually be a better solution.
Comment 7 Jens Petersen 2007-10-22 22:27:15 EDT
Closing this since it seems to have been basically achieved for F8. :)

Note You need to log in before you can comment on or make changes to this bug.